<app-loading *ngIf="isLoading"></app-loading>
<div nz-row class='send'>
  <div nz-col [nzXs]='16' [nzLg]='16' class='send__left'>
    <img alt='' nz-image class='send__left-img' [nzSrc]='imgSrc'>
  </div>
  <div nz-col [nzXs]='8' [nzLg]='8' class='send__right'>
    <div class='current-point'>
      <div class='current-point__label'>
        <div class='current-point__label__label'>Điểm hiện có</div>
        <div class='current-point__label__point'>{{myPoint}} <span class='current-point__label__point__point'>Điểm</span></div>
      </div>
    </div>
    <div class='send-thanks'>
      <form class='send-form' nz-form [formGroup]="form">
        <div class="app-row" nz-row [nzGutter]="[30, 0]">
          <div nz-col nzXs="24">
            <multi-employee-data-picker
              [getEmail]='true'
              [mbDisable]='true'
              [mbType]="isSubmitted && form['controls']['employees'].errors ? 'error' : 'default'"
              [mbShowError]="isSubmitted && form['controls']['employees'].errors !== null"
              [mbErrors]="form['controls']['employees'].errors"
              [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'angleIt.validate.required' | translate: {'param': 'angleIt.send.sendTo' | translate}}]"
              [formControlName]="'employees'"
              status="WORKING"
              mbLabelText="{{ (data?.type === 1 ? 'angleIt.send.sendTo' : 'angleIt.send.sender') | translate }}">
            </multi-employee-data-picker>
          </div>
          <div nz-col nzXs="24">
            <mb-input-text formControlName="point" [mbSuffixTemplate]='suffix' appNumberic [num]='10' [mbDisable]='true'
                           [mbType]="isSubmitted && form.controls['point'].errors ? 'error' : 'default'" [mbMaxLength]="150"
                           [mbShowError]="isSubmitted && form.controls['point'].errors != null" [mbErrors]="form.controls['point'].errors"
                           [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'angleIt.validate.required' | translate: {'param': 'angleIt.send.pointThanks' | translate }}]"
                           mbPlaceholderText="{{'angleIt.send.pointThanks' | translate}}"
                           mbLabelText="{{'angleIt.send.pointThanks' | translate}}"></mb-input-text>
          </div>
          <div nz-col nzXs="24">
            <mb-input-text formControlName="content" [mbDisable]='true'
                           [mbType]="isSubmitted && form.controls['content'].errors ? 'error' : 'default'" [mbMaxLength]="500"
                           [mbShowError]="isSubmitted && form.controls['content'].errors != null" [mbErrors]="form.controls['content'].errors"
                           [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'angleIt.validate.required' | translate: {'param': 'angleIt.send.wordsThanks' | translate }}]"
                           mbPlaceholderText="{{'angleIt.send.wordsThanks' | translate}}"
                           mbLabelText="{{'angleIt.send.wordsThanks' | translate}}"></mb-input-text>
          </div>
          <div nz-col nzXs="24">
            <mb-input-text formControlName="message" [mbIsTextAre]='true' [mbConfig]="{ rows: 3, autoSize: false }" [mbMaxLength]="500" [mbDisable]='true'
                           [mbType]="isSubmitted && form.controls['message'].errors ? 'error' : 'default'"
                           [mbShowError]="isSubmitted && form.controls['message'].errors !== null" [mbErrors]="form.controls['message'].errors"
                           [mbErrorDefs]="[{ errorName: 'maxlength', errorDescription: 'angleIt.validate.maxLength' | translate: {'numberLength': '500' }}]"
                           mbPlaceholderText="{{'angleIt.send.message' | translate}}"
                           mbLabelText="{{'angleIt.send.message' | translate}}"></mb-input-text>
          </div>
        </div>
      </form>
    </div>
  </div>
</div>


<ng-template #suffix>
  <label class='point-suffix'> {{"angleIt.send.point" | translate}} </label>
</ng-template>
